# Enable Webhooks

To receive Delos webhooks you need to send a subscription request via an [API request](https://stagep.tst-apidmndelss.com/openapi/v2.html#/operations/Hook_SetParameters)

Subscription request body:

```json
{
  "parameters": {
    //Enable sends webhooks to your server
    "enabled": true,
    //Your server address where webhooks will be sent
    "hookUrl": "string",
    //JWT Secret for validate JWT Tokens from incoming request
    "jwtSecret": "string",
    //Enable receive Customers events
    "hookCustomer": true,
    //Enable receive Operations events
    "hookOperation": true,
    //Enable receive Deposit Accounts events
    "hookDepositAccount": true,
    //Enable receive Counterparties events
    "hookCounterparty": true
  }
}
```

### JWT Secret

This field is required.

Using this secret key, you can validate incoming requests for the authenticity of the sender. **IMPORTANT!** Please set a complex key for encoding requests.

<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.delos.financial/webhooks/enable-webhooks.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
